Subject: Re: [PATCH v1 0/2] grep: integrate with sparse index

From: Derrick Stolee <[email-masked]>
Date: Wed, 17 Aug 2022 09:46:23 -0400

On 8/17/2022 3:56 AM, Shaoxuan Yuan wrote:
> Integrate `git-grep` with sparse-index and test the performance
> improvement.
> 
> Note: This series is based on 'next' because the 'rm' series
> ede241c715 (rm: integrate with sparse-index, Aug 7th 2022) is in the
> 'next', and the test cases overlap. Base on top of 'next' makes sure
> there are no conflicts to reduce work for Junio.

Do not base things directly on 'next' because that branch can be
completely rewritten and changes can make it difficult to apply your
patches.

Instead, you can base your change directly on the sy/sparse-rm branch.

Please update the base in v2, but I'll take a review of these patches now.

Thanks,
-Stolee